# comment out when not pre-release
#define prel	rc4

%define rel	1

Name:		qelectrotech
Epoch:		3
Version:	0.6
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A tool to design electric diagrams
License:	GPLv2+
Group:		Sciences/Other
URL:		http://qelectrotech.org/
Source:		http://download.tuxfamily.org/qet/tags/20180306/%{name}-%{version}%{?prel}-src.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	qt5-database-plugin-sqlite

%description
QElectroTech is a Qt5 application to design electric diagrams. It uses XML
files for elements and diagrams, and includes both a diagram editor and an
element editor.

%prep
%setup -q -n %{name}-%{version}%{?prel}-src

sed -e s,/usr/local/,%{_prefix}/, \
    -e /QET_MAN_PATH/s,'man/','share/man', \
    -e /QET_MIME/s,../,, \
    -i %{name}.pro

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# let files section handle docs
rm -rf %{buildroot}%{_prefix}/doc

desktop-file-install --vendor="" \
		--add-category=Electronics \
		--remove-key=Version \
		--dir=%{buildroot}%{_datadir}/applications/ \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang --with-man %{name}

%files -f %{name}.lang
%doc ChangeLog CREDIT ELEMENTS.LICENSE LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime/application/*.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Mar 09 2018 daviddavid <daviddavid> 3:0.6-1.mga6
  (not released yet)
+ Revision: 1207483
- new version: 0.6 (final release)
- new version: 0.6rc4 (mga#20743)

* Sat Nov 28 2015 daviddavid <daviddavid> 3:0.5-1.mga6
+ Revision: 906885
- new version: 0.5 (final release)

* Sat Oct 31 2015 daviddavid <daviddavid> 3:0.5-0.rc1.1.mga6
+ Revision: 896880
- new version: 0.5rc1
- switch build to Qt5
- update Source0 link-url
- fix desktop file: remove-key=Version

* Wed Mar 25 2015 daviddavid <daviddavid> 3:0.4-2.mga5
+ Revision: 819267
- add missing required package on qt4-database-plugin-sqlite (fix mga#15569)

* Sat Feb 21 2015 daviddavid <daviddavid> 3:0.4-1.mga5
+ Revision: 816201
- new version: 0.4 (final release)
- add ChangeLog file in doc

* Wed Dec 31 2014 daviddavid <daviddavid> 3:0.4-0.rc2.1.mga5
+ Revision: 807604
- new version: 0.4rc2

* Sun Dec 07 2014 wally <wally> 3:0.4-0.rc1.2.mga5
+ Revision: 801949
- fix %%{rel} usage in .spec

* Sat Dec 06 2014 daviddavid <daviddavid> 3:0.4-0.rc1.1.mga5
+ Revision: 801752
- new version: 0.4rc1
- update Url and Source0 link-url
- fix desktop file
  * remove-category=Office and remove-key=Encoding

* Wed Oct 15 2014 umeabot <umeabot> 3:0.3-4.mga5
+ Revision: 750630
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3:0.3-3.mga5
+ Revision: 688475
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3:0.3-2.mga4
+ Revision: 545182
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 3:0.3-1.mga4
+ Revision: 500884
- update %%epoch as 0.3 < 0.22
- update specfile
- new version 0.3
- clean specfile

* Sun Mar 17 2013 lmenut <lmenut> 2:0.22-6.mga3
+ Revision: 403611
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Sun Jan 13 2013 umeabot <umeabot> 2:0.22-5.mga3
+ Revision: 379823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 05 2011 anssi <anssi> 2:0.22-4.mga2
+ Revision: 176952
- fix duplicate menu entries by altering categories (fixes bug #1633):
  o drop scientific categories that are not really very relevant
  o drop Office main category that is less relevant than the Graphics
    main category
  o add Electronics category
  (QElectroTech now appears in Graphics)
- restore GenericName entries in .desktop file

* Sun Apr 10 2011 wally <wally> 2:0.22-3.mga1
+ Revision: 82753
- clean .spec
- rename patches
- add patch to fix desktop file
- use upstream provided qelectrotech.xml
- install files previously wasn't
- drop buildroot definition
- imported package qelectrotech

